<template>
  <div class="loader">
    <slot/>
    <div class="overlay col flex-ai-center flex-jc-center" :class="{ loading }">
      <v-icon name="circle-notch" spin/>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    loading: {
      type: Boolean,
      required: true,
    },
  },
};
</script>

<style scoped>
.content {
  background: red;
}

.loader {
  position: relative;
}

.loader .overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: rgba(0, 0, 0, .5);
  color: white;
}

.loader .overlay:not(.loading) {
  display: none;
}
</style>
